Error captive portal + Radius Win2k8



  • Hi All,

    I've encountered an issue with captive portal. I used captive portal with radius in windows 2k8 server.
    With PFSense 2.0.3, the portal with radius worked fine. I've upgraded my PFSense appliance to PFSense 2.1, and now I've this error when I validate an authentication :

    Fatal error: Class 'Auth_RADIUS_' not found in /usr/local/captiveportal/radius_authentication.inc on line 105
    

    Anyone have an idea about this issue ?

    Thank you in advance for your help !



  • Up !



  • Up !

    Any idea please ? I've over 200 people who can't use our public wifi due to this error with radius php class …

    Thanks in advance.



  • luckily i've just read your post … i was going to upgrade one of my 2.0.3 systems this week.

    can someone look into it this? i've got 600+ students who currently use the AD auth Captive portal.
    oh and by the way ... has anyone checked if https certs for CP get upgrade as they should?

    note to self: "check this post in a couple of weeks"



  • An other PFSense user's having this trouble https://redmine.pfsense.org/issues/3226 and I solved my problem with this fix. This is due to Radius Protocol Option, which was reset to no authentication during the upgrade.
    I select the protocol that I use with my 2K8 and now the system work ! :)


Log in to reply